%define	name		lbreakout2
%define	version		2.6.3
%define beta 		0
%define levelsets	20100920
%define rel		2
%if %beta
%define release		%mkrel -c beta%{beta} %rel
%else
%define release		%mkrel %rel
%endif

# getting latest levelset ?
%define __fetch_levels 0
%{?_fetch_levels: %{expand: %%define __fetch_levels 1}}

Summary:	Breakout-style arcade game
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url:		http://lgames.sourceforge.net/
%if %beta
Source0:	http://ftp1.sourceforge.net/lgames/%{name}-%{version}beta-%{beta}.tar.xz
%else
Source0:	http://ftp1.sourceforge.net/lgames/%{name}-%{version}.tar.xz
%endif
Source1:	http://ftp1.sourceforge.net/lgames/%{name}-levelsets-%{levelsets}.tar.gz
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
Source8: 	fr_ascii.po
Source9:	lbreakout-error.wav
License:	GPLv2
Group:		Games/Arcade
BuildRequires: %{_lib}SDL_mixer1.2-devel
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}png-devel
%if %__fetch_levels
BuildRequires: wget
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%{name} < %version


%description
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%if %beta
%setup -q -n %{name}-%{version}beta-%{beta}
%else
%setup -q
%endif

# getting latest levelsets
%if %{__fetch_levels}
cd %{_tmppath}
wget http://lgames.sourceforge.net/LBreakout2/levels/levelsets.tar.gz
zcat levelsets.tar.gz | bzip2 > %{SOURCE1}
rm -f levelsets.tar.gz
%endif

%build
# replace french translation file because lbreakout2 doesn't like accented letters
cp -f %SOURCE8 po/fr.po 
msgfmt po/fr.po -o po/fr.gmo

%configure2_5x	--bindir=%{_gamesbindir} \
		--with-libiconv-prefix=%{_prefix} \
		--without-included-gettext \
		--with-libintl-prefix=%{_prefix} \
		--localstatedir=%{_localstatedir}/lib/games
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/games
%{makeinstall_std}

tar xzC $RPM_BUILD_ROOT%{_datadir}/%{name}/levels -f %SOURCE1

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=LBreakout 2
Comment=Breakout-style arcade game
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m644 %SOURCE9 $RPM_BUILD_ROOT/%{_datadir}/lbreakout2/sounds/dammit.wav
install -D -m644 %SOURCE9 $RPM_BUILD_ROOT/%{_datadir}/lbreakout2/sounds/damn.wav

rm -rf $RPM_BUILD_ROOT/usr/doc # those docs are not wanted

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO
%{_gamesbindir}/*
%attr(664, root, games) %{_localstatedir}/lib/games/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/lbreakout48.gif
%{_datadir}/lbreakout2/sounds/dammit.wav
%{_datadir}/lbreakout2/sounds/damn.wav


%changelog
* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com> 2.6.3-2pclos2011
- Rebuild for x86_64

* Wed Mar 09 2011 Texstar <texstar at gmail.com> 2.6.3-1pclos2011
- 2.6.3

* Thu Oct 07 2010 Texstar <texstar at gmail.com> 2.6.2-1pclos2010
- 2.6.2

* Mon Nov 09 2009 Texstar <texstar at gmail.com> 2.6-1pclos2010
- gcc update
- 2.6

* Thu Apr 26 2007 Texstar <texstar at gmail.com> 2.6-0.beta5.4pclos2007
- replace damit sound files with oooohhh nooooo
- damit not good for children


